Bug 25804 - Remove HTML from title tag of bibliographic detail page
Summary: Remove HTML from title tag of bibliographic detail page
Status: Pushed to stable
Alias: None
Product: Koha
Classification: Unclassified
Component: Staff Client (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Assignee: Owen Leonard
QA Contact: Testopia
URL:
Keywords:
Depends on: 12093
Blocks:
  Show dependency treegraph
 
Reported: 2020-06-18 12:02 UTC by Owen Leonard
Modified: 2020-07-12 22:26 UTC (History)
5 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:
20.11.00, 20.05.02


Attachments
Bug 25804: Remove HTML from title tag of bibliographic detail page (1.32 KB, patch)
2020-06-18 12:04 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 25804: Remove HTML from title tag of bibliographic detail page (1.38 KB, patch)
2020-06-22 10:38 UTC, ByWater Sandboxes
Details | Diff | Splinter Review
Bug 25804: Remove HTML from title tag of bibliographic detail page (1.44 KB, patch)
2020-06-22 11:29 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Owen Leonard 2020-06-18 12:02:08 UTC
Bug 12093 accidentally added some <span> tags to the <title> tag of the bibliographic detail page. They should be removed.
Comment 1 Owen Leonard 2020-06-18 12:04:38 UTC
Created attachment 106002 [details] [review]
Bug 25804: Remove HTML from title tag of bibliographic detail page

This patch removes <span> tags from the bibliographic detail page's
<title> tag.

To test, apply the patch and view the bibliographic detail page for
any title in the staff interface. In the page title shown in the browser
tab you should see no <span> tags.
Comment 2 ByWater Sandboxes 2020-06-22 10:38:26 UTC
Created attachment 106157 [details] [review]
Bug 25804: Remove HTML from title tag of bibliographic detail page

This patch removes <span> tags from the bibliographic detail page's
<title> tag.

To test, apply the patch and view the bibliographic detail page for
any title in the staff interface. In the page title shown in the browser
tab you should see no <span> tags.

Signed-off-by: Sally <sally.healey@cheshiresharedservices.gov.uk>
Comment 3 Katrin Fischer 2020-06-22 11:28:16 UTC
Apply? [(y)es, (n)o, (i)nteractive] y
Applying: Bug 25804: Remove HTML from title tag of bibliographic detail page
error: sha1 information is lacking or useless (koha-tmpl/intranet-tmpl/prog/en/modules/catalogue/detail.tt).

:(
Comment 4 Katrin Fischer 2020-06-22 11:29:03 UTC
Ok, had to pull form master - applies now!
Comment 5 Katrin Fischer 2020-06-22 11:29:52 UTC
Created attachment 106158 [details] [review]
Bug 25804: Remove HTML from title tag of bibliographic detail page

This patch removes <span> tags from the bibliographic detail page's
<title> tag.

To test, apply the patch and view the bibliographic detail page for
any title in the staff interface. In the page title shown in the browser
tab you should see no <span> tags.

Signed-off-by: Sally <sally.healey@cheshiresharedservices.gov.uk>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 6 Jonathan Druart 2020-06-24 13:33:24 UTC
Pushed to master for 20.11, thanks to everybody involved!
Comment 7 Lucas Gass 2020-07-10 15:38:32 UTC
backported to 20.05.x for 20.05.02
Comment 8 Aleisha Amohia 2020-07-12 22:26:01 UTC
missing dependencies, not backported to 19.11.x